=== debian/changelog ===
rephrase (0.1-3) unstable; urgency=low

  * Change CVS address due to my new user in Alioth
  * Change maintainer to Debian Forensics Team
  * Move to format 3.0. Thanks to Jari Aalto. (Closes: #668499)
  * Add build-arch and build-indep targets to rules file. Thanks to Jari Aalto.

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Mon, 23 Apr 2012 22:01:52 -0400

rephrase (0.1-2) unstable; urgency=low

  * Added gnupg as dependency.
  * debian/control:
    + pass the right gpg path to make. Thanks to Artur R. Czechowski.
      (Closes: #550508)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sun, 11 Oct 2009 12:27:14 -0300

rephrase (0.1-1) unstable; urgency=low

  * Initial Release. (Closes: #547659)

 -- Tiago Bortoletto Vaz <tiago@debian.org>  Sat, 26 Sep 2009 23:15:23 -0300
