=== debian/control ===
Source: rephrase
Section: utils
Priority: extra
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://www.roguedaemon.net/rephrase/
Vcs-Browser: http://git.debian.org/?p=forensics/rephrase.git
Vcs-Git: git://git.debian.org/forensics/rephrase.git

Package: rephrase
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, gnupg
Description: Specialized passphrase recovery tool for GnuPG
 If you can nearly remember your GnuPG passphrase - but not quite - then
 Rephrase may be able to help. Tell Rephrase the parts of the passphrase you
 know, and any number of alternatives for the parts you're not sure about; and
 Rephrase will try all the alternatives, in all possible combinations, and tell
 you which combination (if any) gives you the correct passphrase.
