=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1


clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

build-stamp:
	dh_testdir

	$(MAKE) GPG=/usr/bin/gpg

	touch build-stamp

build: build-stamp

build-arch: build
build-indep: build

install: build
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) DESTDIR=$(CURDIR)/debian/rephrase install

binary: binary-arch

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman debian/rephrase.1
	dh_lintian
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: clean build install binary binary-arch binary-indep
