=== debian/changelog ===
rephrase (0.2-4) unstable; urgency=medium

  [ Samuel Henrique ]
  * Team upload.
  * Add salsa-ci.yml.
  * Configure git-buildpackage.
  * Add Rules-Requires-Root: no
  * d/p/03_makefile_dont_change_perms.patch: New patch to enable build
    with Rules-Require-Root set to 'no'

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Francisco Vilmar Cardoso Ruviaro ]
  * Bump DH to 13.
  * Bump Standards-Version to 4.5.1.
  * Update watch file format version to 4.
  * Switch to https url in debian/watch.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 01 Feb 2021 03:30:16 +0000

rephrase (0.2-3) unstable; urgency=medium

  * Team upload.
  [ Raphaël Hertzog ]
  * d/control:
    - Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
    - Update team maintainer address to Debian Security Tools

  [ SZ Lin (林上智) ]
  * Add upstream metadata file
  * d/control:
    - Bump debhelper version to 11
    - Bump Standards-Version to 4.2.1
    - Replace extra with optional in  Priority: item since it's deprecated now
  * d/copyright:
    - Replace "http" with "https"
    - Update copyright info.
  * d/compat:
    - Bump compat version to 11

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 31 Aug 2018 11:03:57 +0800

rephrase (0.2-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-Git field to use https instead of git.
  * debian/patches/02_minimal_gpg2_support.patch: added to unconditionally
    call gpg with "--pinentry-mode loopback", allowing rephrase work with
    GPG2. Thanks to Axel Beckert <abe@debian.org>. (Closes: #853935)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 05 Feb 2017 18:53:54 -0200

rephrase (0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
      - DH level to 9.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Updated the Vcs-* fields.
  * debian/copyright:
      - The upstream uses GPL-3 now.
      - Updated the upstream copyright years.
      - Updated the packaging copyright information.
  * debian/manpages: created to install the manpage.
  * debian/patches/:
      - 01_fix_bin_path.patch:
          ~ Updated the original patch.
          ~ Fixed the CFLAGS to allow the GCC hardening.
      - 02_add_destdir.patch: removed. The upstream is using the $(DESTDIR)
        variable. Thanks.
  * debian/rephrase.1: fixed the the lines used to show examples.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 13 Jul 2015 17:18:43 -0300
