=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: rephrase
 Section: utils
-Priority: extra
-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Tiago Bortoletto Vaz <tiago@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
-Homepage: http://www.roguedaemon.net/rephrase/
-Vcs-Browser: http://git.debian.org/?p=forensics/rephrase.git
-Vcs-Git: git://git.debian.org/forensics/rephrase.git
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Homepage: https://www.roguedaemon.net/rephrase/
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/rephrase
+Vcs-Git: https://salsa.debian.org/pkg-security-team/rephrase.git
 
 Package: rephrase
 Architecture: any
