=== debian/watch ===
version=4
https://www.roguedaemon.net/rephrase/rephrase-(.+)\.tar\.gz
